/* Scroll Mod*/
html::-webkit-scrollbar {
    -webkit-appearance: none;
}

html::-webkit-scrollbar:vertical {
    width: 7px;
}

html::-webkit-scrollbar-button:increment,
html::-webkit-scrollbar-button {
    display: none;
}

html::-webkit-scrollbar:horizontal {
    height: 10px;
}

html::-webkit-scrollbar-thumb {
    background-color: #a3a2a2;
    border-radius: 20px;
    border: 1px solid rgb(122, 217, 255);
}

html::-webkit-scrollbar-track {
    border-radius: 10px;
}
html {
    background: rgb(255, 255, 255);
}

/*** css de juego ***/

input[type="number"]::-webkit-inner-spin-button,
input[type="number"]::-webkit-outer-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

input[type="number"] {
    -moz-appearance: textfield;
}

.logo-game {
    position: relative;
    margin-left: 49px;
    width: 96px;
    display: flex;
    align-items: center;
}

.ir-arriba {
    display: none;
    text-align: center;
    background: #e9f340;
    cursor: pointer;
    position: fixed;
    bottom: 20px;
    right: 0px;
}

.botonF2 {
    width: 60px;
    height: 60px;
    padding: 10px;
    margin: 10px;
    border-radius: 100%;
    background: #3c3c3c;
    outline: none;
    font-size: 25px;
    box-shadow: 0 3px 6px rgb(0 0 0 / 16%), 0 3px 6px rgb(0 0 0 / 23%);
}

.main {
    display: flex;
    justify-content: space-between;
    flex-direction: row;
    align-items: start;
    padding: 0 1rem;
}

.btn-group {
    width: 100%;
}

.btnBetSlip {
    float: right;
    margin-right: 20px;
    padding: 7px 10px 7px 10px;
    position: fixed;
    top: 9rem;
    right: -30px;
    border-radius: 50px 0px 0px 50px;
    font-weight: bold;
    width: 74px;
    text-align: center;
    transition: 0.4s;
    z-index: 501;
}

.btnBetSlip-off {
    right: -120px;
}

.btnBetSlip:hover {
    background-color: #102a54;
}

.btnBetSlip span {
    color: black;
    background-color: #e8f014;
    padding: 1px 5px 1px 5px;
    border-radius: 6px;
    font-weight: bold;
    margin-left: 3px;
}

.showhere {
    width: 60%;
    padding: 1.5rem 3rem;
    background-color: #3c8dbc;
    border-radius: 0.25rem;
    min-height: 228px;
}

.badge {
    display: flex;
    align-items: center;
    white-space: normal;
}

.betSlip {
    position: relative;
    left: 0%;
    transition: 0.5s;
}

.closeBetSlip {
    /* left: 65%; */
    display: none;
}

.digit {
    width: 15px;
}

.betslip-item {
    display: flex;
    width: 100%;
    flex-direction: row;
    justify-content: space-between;
    padding: 0 0.3rem 0 0.9rem;
}

/***\ Para impresion /***/
#printableTicket {
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    align-items: center;
}

.ticket-body {
    width: 180px;
    font-family: "Courier New", monospace;
    font-size: 9px;
}

.centrado {
    text-align: center;
}
.ticket-sorteo {
    width: 40px;
    max-width: 40px;
    word-break: break-all;
    font-family: "Courier New", monospace;
    font-size: 9px;
}
.ticket-numero {
    width: 75px;
    max-width: 75px;
    font-family: "Courier New", monospace;
    font-size: 9px;
}
.ticket-status {
    padding: 0;
    font-size: 17px;
}

.text-status {
    margin-left: 25%;
}

.ticket-monto {
    width: 40px;
    max-width: 40px;
    text-align: right;
    word-break: break-all;
    font-family: "Courier New", monospace;
    font-size: 9px;
}

/*******\  fin ticket /********/

@media (max-width: 680px) {
    .main {
        display: flex;
        flex-direction: column;
    }

    .showhere {
        width: 100%;
    }

    .betSlip {
        width: 100%;
    }

    .close {
        position: relative;
        left: 120;
        -webkit-transition: 0.4s;
        transition: 0.4s;
    }

    .open {
        display: block;
    }
}

#lnk-dropdown {
    display: block;
}

.navbar-custom-menu .nav-item:not(.dropdown) {
    display: none;
}

.errorInput {
    font-size: medium;
    color: white;
    background-color: brown;
}

.content .info {
    max-width: 1140px;
    padding: 0 5rem;
}

.content .other-info {
    padding: 0;
}

.content .info-header {
    background-color: #3c8dbc;
    border-top-left-radius: 3px;
    border-top-right-radius: 3px;
}

.content .info-header h6 {
    text-align: center;
    margin: 0.3rem 0;
    color: #fff;
    font-weight: bold;
}

.content .info-header h3 {
    background-color: #3c8dbc;
}

.content .info-content {
    border-bottom-left-radius: 3px;
    border-bottom-right-radius: 3px;
    background: #fff;
    padding: 0.5rem 0;
    min-height: 5rem;
}

.info .info-content .gametypes {
    border-right: 1px solid #e9e9e9;
}

.info-content .gametypes .btn-lottery {
    height: 2.3rem;
    margin: 0 0.5rem 0.7rem;
    min-width: 5.5rem;
}

.info-content .gametypes .btn-lottery label {
    cursor: pointer;
}

.info-content .gametypes .dropdown {
    margin: 0 0.5rem 0.7rem;
}

.info-content .gametypes .dropdown .dropdown-toggle {
    min-width: 5.5rem;
}

.info-content .gametypes .dropdown .show {
    z-index: 1035;
}

.info-content .gametypes .dropdown .dropdown-menu .btn-primary {
    color: #fff;
}

.next-lottery {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
}

.gametypes {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
}

.gametypes .btn-typeplay {
    min-width: 6rem;
    margin: 0 0.4rem 0.5rem;
    font-size: 1.1rem;
    padding: 0.3rem 0.8rem;
    border-radius: 0.25rem;
}

.btn-typeplay {
    border-radius: 0.25rem;
    border: 1px solid #c8c8c8;
}

.btn-next {
    margin: 0.4rem 0.3rem;
    cursor: pointer;
    transition: all 0.25s ease-in-out;
}

.btn-next:hover {
    padding: 0.375rem 0.75rem;
    font-size: 1rem;
}

.content-bg {
    background-color: #ecf0f5;
    padding-top: 50px;
}

.sidebar-mini.sidebar-collapse .main-header .navbar {
    margin-left: 0;
    display: flex;
    justify-content: space-between;
}

.box {
    background-color: #3c8dbc;
    color: #fff;
    border: none;
}

.showhere .gametypes label {
    margin-bottom: 0;
}

.showhere .gametypes label:hover {
    cursor: pointer;
}

.showhere .inputs-row {
    color: #fff;
}

.showhere .text-error {
    padding: 0.15rem 0.2rem;
    border-radius: 0.25rem;
}

.sidebar-mini.sidebar-collapse .main-header .logo {
    width: 230px;
    background-color: rgba(0, 0, 0, 0);
}

.sidebar-mini.sidebar-collapse .main-footer {
    margin-left: 0 !important;
}

.content .next-lottery .badge {
    font-size: 1.1rem;
    white-space: initial;
}

.other-info .card h3 {
    text-align: center;
    color: #fff;
    background-color: #3c88b5;
    border-radius: 0.25rem;
    padding: 0.2rem 0;
}

.other-info .card .table-responsive {
    border-radius: 0.25rem;
}

.other-info .card .table-responsive .table {
    margin-bottom: 1rem;
    color: #212529;
    background-color: #fff;
    margin: auto;
}

.other-info .table-responsive .table thead {
    background-color: #3c8dbc;
    color: #fff;
    text-align: center;
    white-space: nowrap;
}

.other-info .table-responsive .table tbody {
    text-align: center;
    white-space: nowrap;
}

.other-info .table-responsive .table .status-btn button {
    width: 90%;
    margin-left: auto;
    margin-right: auto;
    color: white;
    max-width: 10rem;
}

.other-info .table-responsive .table tfoot tr {
    font-weight: bold;
    border-top: 2px solid #195d97;
}

.other-info .table-responsive .table .tickets-error {
    color: red;
    text-align: center;
    font-weight: bold;
}

.other-info .error-message {
    color: red;
    text-align: center;
    font-weight: bold;
    background-color: #fbfbfb;
    padding: 0.5rem 0;
    border-radius: 0.25rem;
}

.inputs-row .form-control {
    border-radius: 0.25rem;
}

.typeplay-col hr {
    margin-top: 0.1rem;
    margin-bottom: 0.7rem;
    border-top: 1px solid rgba(204, 204, 204, 0.6);
}

.skin-blue .main-header .navbar {
    background-color: #fff;
}

.navbar .navbar-custom-menu .btn-info {
    margin-left: 0.5rem;
    border-radius: 0.25rem;
}

#ticket .card .card-body .ticket-status {
    border-radius: 0.4rem;
    color: #fff;
    margin-bottom: 0.3rem;
    padding: 0.2rem 0.3rem;
}

#ticket .card .ticket-title {
    text-align: center;
    padding-left: 1rem;
}

#ticket .card .ticket-close {
    text-align: center;
    padding: 0;
}

#ticket .card .footer-btn {
    display: flex;
    justify-content: center;
    align-items: center;
}

#ticket .card .footer-btn button {
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 0 0.25rem;
    height: 2.5rem;
    width: 3rem;
}

#ticket .card .footer-btn button img {
    width: 0.8rem;
}

#ticket .card .footer-btn .btnShare img {
    width: 1.3rem;
}

#selectDate .modal-dialog {
    display: flex;
    justify-content: center;
}

#selectDate .modal-content {
    border-radius: 0.25rem;
    width: 25rem;
    height: 30rem;
}

#selectDate .modal-content .row h2 {
    margin-bottom: 3rem;
}

#selectDate .modal-content .row input {
    margin-bottom: 2rem;
}

#selectDate .modal-content .form-row {
    margin-top: 7rem;
}

#selectDate .modal-content .card {
    height: 28rem;
}

#frmLogin .modal-dialog {
    display: flex;
    justify-content: center;
}

#frmLogin .modal-content {
    border-radius: 0.25rem;
    width: 25rem;
    height: 30rem;
}

#frmLogin .modal-content .row h2 {
    margin-bottom: 3rem;
}

#frmLogin .modal-content .row input {
    margin-bottom: 2rem;
}

#frmLogin .modal-content .form-row {
    margin-top: 7rem;
}

#frmLogin .modal-content .card {
    height: 28rem;
}

.spinner-container {
    position: fixed;
    display: grid;
    place-items: center;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.30);
    z-index: 1100;
}

.spinner-container .spinner-border {
    width: 7rem;
    height: 7rem;
    border-width: .5rem;
}

@media (min-width: 320px) {
    .container {
        max-width: 1140px;
    }
}

@media (min-width: 436px) {
    .main {
        padding: 0 3rem;
    }

    .content .info {
        margin-top: 0.5rem;
    }
}

@media (min-width: 576px) {
    #ticket .card .ticket-title {
        padding-left: 2rem;
    }
}

@media (min-width: 683px) {
    .betSlip .card {
        min-height: 29.5rem;
        margin: 0 0 2.5rem 2rem;
    }

    .next-lottery {
        padding: 0 1rem;
    }
}

@media (min-width: 768px) {
    .betSlip .card {
        min-height: 22.5rem;
    }
}

@media (min-width: 769px) {
    .gametypes .btn-typeplay {
        min-width: 7rem;
    }

    #ticket .card .footer-btn .btnBluetoothPrint {
        display: none;
    }
}

@media (min-width: 900px) {
    #lnk-dropdown {
        display: none;
    }

    .navbar-custom-menu .nav-item:not(.dropdown) {
        display: block;
    }
}

@media (min-width: 992px) {
    .betSlip .card {
        min-height: 19.5rem;
        min-width: 23rem;
    }

    #ticket .card .ticket-title {
        padding-left: 4rem;
    }
}

@media (min-width: 1170px) {
    .main {
        padding: 0 3.9rem 0 4.1rem;
    }
}

@media (max-width: 710px) {
    .showhere {
        padding: 1.5rem 2rem;
    }
}

@media (max-width: 550px) {
    .sidebar-mini.sidebar-collapse .main-header .navbar {
        justify-content: flex-end;
    }

    .sidebar-mini.sidebar-collapse .main-header .logo {
        height: 0;
    }
}

@media (max-width: 425px) {
    .content .other-info {
        margin-top: -1rem;
    }

    .content .other-info h3 {
        font-size: 1.3rem;
    }

    .content .info-content .product-img img {
        width: 7rem;
        padding: 0.7rem 0;
        margin-left: 0.5rem;
    }

    .other-info .card .card-header {
        padding: 0.75rem 0;
    }

    .other-info .card .card-body {
        padding: 1.25rem 0;
    }

    .other-info .table-responsive .table tbody {
        white-space: normal;
    }

    .other-info .table-responsive .table tbody tr td:last-child {
        white-space: nowrap;
    }
}

@media (max-width: 435px) {
    .content .info {
        max-width: 1140px;
        padding: 0 3rem;
        margin-top: -1rem;
    }
}

@media (max-width: 374px) {
    .showhere {
        width: 100%;
        padding: 1.5rem 1.3rem;
    }

    .typeplay-col {
        padding: 0;
    }

    #ticket .card .footer-btn button {
        height: 2rem;
        width: 2rem;
    }

    #ticket .card .footer-btn .btnShare img {
        width: 1rem;
    }
}

/* @media (max-width: 670px) {
    .next-lottery .btn-next {
        width: 95px;
        height: 31px;
        font-size: 14px;
    }
} */
